### Method

# WebKit2 InputMethodContext set_input_purpose

#### Declaration [src]

    void
    webkit_input_method_context_set_input_purpose (
      WebKitInputMethodContext* context,
      WebKitInputPurpose purpose
    )

#### Description [src]

Set the value of the `WebKitInputMethodContext:input-purpose` property.

Available since: | 2.28

Sets property | `WebKit2.InputMethodContext:input-purpose`

#### Parameters

`purpose` | `WebKitInputPurpose`
| A `WebKitInputPurpose`.